

/**
 * The class representing events happening with the HandyBoard 
 * 
 * @author Orit Shaer
 */

public class HBDEvent {
	
	
	// The class source of the digital event 
	private SerialReader source;

	
	// The circle source and state of event. see the above dictionary 
	private char code;

	/**
	 * Creates a HandyBoard event from the digital input.
	 * @param source
	 * @param id
	 * @param code
	 */
	public HBDEvent(SerialReader source, char code) {
		this.source = source;
		this.code = code;
	}

	/**
	 * Returns the serial reader source of the event.
	 * @return the serial reader where the event came from.
	 */
	public SerialReader getSource() {
		return source;
	}

	
	/**
	 * Returns the code of the digital input.
	 * @return the code of the digital input.
	 */
	public char getCode() {
		return code;
	}

	/**
	 * Returns a string representation of this class.
	 */
	public String toString() {
		return source
			+ " "
			+ Integer.toString(code);
	}
}
